NamingSecurityException (Java Platform SE 8 )
Keywords: javax.naming.NamingSecurityException class
Date: 2026-04-17

compact3
javax.naming

## Class NamingSecurityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.naming.NamingException
      - - javax.naming.NamingSecurityException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AuthenticationException, AuthenticationNotSupportedException, NoPermissionException

      public abstract class NamingSecurityException
      extends NamingException

  This is the superclass of security-related exceptions thrown by operations in the Context and DirContext interfaces. The nature of the failure is described by the name of the subclass.

  If the program wants to handle this exception in particular, it should catch NamingSecurityException explicitly before attempting to catch NamingException. A program might want to do this, for example, if it wants to treat security-related exceptions specially from other sorts of naming exception.

  Synchronization and serialization issues that apply to NamingException apply directly here.

  Since:
    1.3
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.NamingException

      `remainingName, resolvedName, resolvedObj, rootException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingSecurityException()` Constructs a new instance of NamingSecurityException.
    `NamingSecurityException(String explanation)` Constructs a new instance of NamingSecurityException using the explanation supplied.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.NamingException

      `appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NamingSecurityException

          public NamingSecurityException(String explanation)

      Constructs a new instance of NamingSecurityException using the explanation supplied. All other fields default to null.
      Parameters:
        `explanation` - Possibly null additional detail about this exception.
      See Also:
        `Throwable.getMessage()`

    - #### NamingSecurityException

          public NamingSecurityException()

      Constructs a new instance of NamingSecurityException. All fields are initialized to null.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.